﻿<?xml version="1.0" encoding="utf-8"?>
<!--
***************************************************************************************************
 Copyright (C) 2024 The Qt Company Ltd.
 SPDX-License-Identifier: LicenseRef-Qt-Commercial OR GPL-3.0-only WITH Qt-GPL-exception-1.0
***************************************************************************************************
-->
<Project ToolsVersion="$(VisualStudioVersion)" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <!-- Sets property TargetFrameworkVersion and LangVersion -->
  <Import Project="$(SolutionDir)\targetframework.props" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <SchemaVersion>2.0</SchemaVersion>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>QtVsTools.TestAdapter</RootNamespace>
    <AssemblyName>QtVsTools.TestAdapter</AssemblyName>
    <ProjectGuid>{56430803-B257-48BF-9CE2-15EF1ED963FA}</ProjectGuid>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>QtVsTools.TestAdapter.ico</ApplicationIcon>
  </PropertyGroup>
  <!--
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // Global references
  // -->
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
    <Reference Include="System" />
    <Reference Include="Microsoft.VisualStudio.TestWindow.Interfaces">
      <HintPath>$(DevEnvDir)\CommonExtensions\Microsoft\TestWindow\Microsoft.VisualStudio.TestWindow.Interfaces.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <!--
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // General package references
  // -->
  <Import Project="$(SolutionDir)\references.props" />
  <ItemGroup>
    <PackageReference Include="$(Name_Microsoft_VSSDK_BuildTools)" Version="$(Version_Microsoft_VSSDK_BuildTools)" />
    <PackageReference Include="$(Name_Microsoft_VisualStudio_SDK)" Version="$(Version_Microsoft_VisualStudio_SDK)" ExcludeAssets="runtime" />
    <PackageReference Include="$(Name_Microsoft_TestPlatform_ObjectModel)" Version="$(Version_Microsoft_TestPlatform_ObjectModel)" />
    <PackageReference Include="$(Name_Microsoft_Diagnostics_Tracing_TraceEvent_SupportFiles)" Version="$(Version_Microsoft_Diagnostics_Tracing_TraceEvent_SupportFiles)" />
  </ItemGroup>
  <!--
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // Version specific package references
  // -->
  <Choose>
    <When Condition="'$(VisualStudioVersion)'=='17.0'">
      <ItemGroup>
        <PackageReference Include="$(Name_Microsoft_VisualStudio_Threading_Analyzers)" Version="$(Version_Microsoft_VisualStudio_Threading_Analyzers)">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
        </PackageReference>
        <PackageReference Include="$(Name_Microsoft_VisualStudio_SDK_Analyzers)" Version="$(Version_Microsoft_VisualStudio_SDK_Analyzers)">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
        </PackageReference>
      </ItemGroup>
    </When>
    <When Condition="'$(VisualStudioVersion)'=='16.0'">
      <ItemGroup>
      </ItemGroup>
    </When>
  </Choose>
  <!--
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // Solution project references
  // -->
  <ItemGroup>
    <ProjectReference Include="..\QtVsTools.Core\QtVsTools.Core.csproj">
      <Project>{2621ad55-c4e9-4884-81e9-da0d00b4c6e5}</Project>
      <Name>QtVsTools.Core</Name>
    </ProjectReference>
  </ItemGroup>
  <!--
  /////////////////////////////////////////////////////////////////////////////////////////////////
  // Project items
  // -->
  <ItemGroup>
    <Compile Include="QtTestDiscoverer.cs" />
    <Compile Include="QtTestExecutor.cs" />
    <Compile Include="QtTestGlobalSettingsProvider.cs" />
    <Compile Include="QtTestPage.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="QtTestPageSettings.cs" />
    <Compile Include="QtTestResult.cs" />
    <Compile Include="QtTestSettings.cs">
      <DependentUpon>QtTestSettings.xsd</DependentUpon>
    </Compile>
    <Compile Include="QtTestSettingsProvider.cs" />
    <Compile Include="Resources.cs" />
    <Compile Include="SourceInfo.cs" />
    <Compile Include="XmlParser.cs" />
    <Content Include="QtVsTools.TestAdapter.ico" />
    <T4Template Include="Properties\AssemblyInfo.cs">
      <Generator>TextTemplatingFileGenerator</Generator>
      <OutputFile>Properties\AssemblyInfo.tt.cs</OutputFile>
      <DependsOn>$(SolutionDir)\version.tt;$(SolutionDir)\common.tt</DependsOn>
      <LastGenOutput>AssemblyInfo.tt.cs</LastGenOutput>
    </T4Template>
    <Compile Include="Binary.cs" />
    <Compile Include="Logger.cs" />
    <Compile Include="PdbParser.cs" />
    <Compile Include="ProcessMonitor.cs" />
    <Compile Include="Properties\AssemblyInfo.tt.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>AssemblyInfo.cs</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="QtTestSettings.xsd">
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Import Project="$(SolutionDir)\transform.targets" />
</Project>